package ru.yandex.webmaster3.viewer.http.user;

import ru.yandex.webmaster3.core.http.ActionResponse;
import ru.yandex.webmaster3.core.http.ActionStatus;

/**
 * @author aherman
 */
public abstract class PinHostResponse implements ActionResponse {
    public static class NormalResponse extends PinHostResponse implements ActionResponse.NormalResponse {
        private final boolean pinned;

        public NormalResponse(boolean pinned) {
            this.pinned = pinned;
        }

        public boolean isPinned() {
            return pinned;
        }
    }
}
